Bug Hunting Session
Bug 112894 - find search entry has a broken accessibility hierarchy
Summary: find search entry has a broken accessibility hierarchy
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-Linux Find-Search
  Show dependency treegraph
 
Reported: 2017-10-05 13:39 UTC by Alex ARNAUD
Modified: 2018-11-04 03:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
pyatspi events listener to reproduce the bug easily (312 bytes, text/x-python)
2017-10-05 13:41 UTC, Alex ARNAUD
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex ARNAUD 2017-10-05 13:39:43 UTC
Description:
Dear all,

LibreOffice find search entry has a broken accessibility tree when it emits events so Orca screenreader cannot determine it's a LibreOffice event and doesn't present it to the user.
When the user write text in the find search entry and it want to read the text LibreOffice should emits caret-moved events, it the behavior we do since the fix of the bug #99687. Unfortunatly when the event is emitted the parent of the emitter is -1 so Orca can't present the information to the user. See the AT-SPI related documentation: https://lazka.github.io/pgi-docs/Atspi-2.0/classes/Accessible.html#Atspi.Accessible.get_index_in_parent

Steps to Reproduce:
1) Launch the attached event listener
2) Launch LibreOffice Writer
4) Press ctrl+f and type "test"
5) Press left or right arrow

Actual Results:  
LibreOffice sends the events and when the listener ask for the parent index it obtains "-1"

Expected Results:
LibreOffice should send the event and correctly set the parent index


Reproducible: Always

User Profile Reset: No

Additional Info:
Best regards.


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Alex ARNAUD 2017-10-05 13:41:31 UTC
Created attachment 136779 [details]
pyatspi events listener to reproduce the bug easily
Comment 2 Buovjaga 2017-11-03 13:57:23 UTC
Repro (used SAL_USE_VCLPLUGIN=gtk3)

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: 64024d7c18bd114eb9958cf80eea9129e09923bd
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 3rd 2017
Comment 3 QA Administrators 2018-11-04 03:57:07 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug